/*
 * File         : Array.java
 * Author       : Guansong Zhang
 * Created      : Fri Jun 19 17:39:22 1998
 * Revision     : $Revision: 1.2 $
 * Updated      : $Date: 1998/10/30 15:59:56 $
 */

package hpjava.lang;

abstract class Array {
  protected DAD dad;

  protected int offset;
  
  protected int      rank;
  protected Group    group;

  protected Range[]  range; 
  protected Stride[] stride;

  public int rnk() {
    return rank;
  }

  public Group grp() {
    return group;
  }

  public Range[] rng() {
    return range;
  }

  public Stride[] str() {
    return stride;
  }

}

