/*
 * File         : CyclicRange.java
 * Author       : Guansong Zhang
 * Created      : Tue Jan 13 12:31:07 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1998/10/02 18:55:20 $
 */

package hpjava.lang;

public class CyclicRange extends  Range {

  public native void constructor(Range ker,int numCycles, int layout);
  public native void constructor(int extent, Range ker, int layout);

  public CyclicRange(Range ker,int numCycles, int layout) {
    //super();
    constructor(ker,numCycles,layout);
  };
  
  public CyclicRange(Range ker,int numCycles) {
    //super();
    constructor(ker,numCycles,0);
  };

  public CyclicRange(int extent, Range ker, int layout) {
    //super();
    constructor(extent,ker,layout);
  };
 
  public CyclicRange(int extent, Range ker) {
    //super();
    constructor(extent,ker,0); //default layout
  };
}
