/*
 * File         : DAD.java
 * Author       : Guansong Zhang
 * Created      : Tue Jun 16 16:39:43 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1998/10/02 18:55:21 $
 */

package hpjava.lang; 

public class DAD extends InterfaceObject {

  private static native void init();
  public static native void clean();

  private native void constructor(Group group);

  private native void constructor(Group group, Range[] range, Stride[] stride);

  public DAD(Group group) {
    constructor(group);
  }
  
  public DAD(Group group, Range[] range, Stride[] stride) {
    constructor(group, range, stride);
  }

  public native void finalize();

  public native void show(String name);

  static {
    init();
  }

};
