/*
 * File         : Group.java
 * Author       : Guansong Zhang
 * Created      : Tue Jun 16 16:39:43 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1998/10/02 18:55:23 $
 */

package hpjava.lang; 

public class Group extends InterfaceObject  
			   implements Cloneable
{

  private static native void init();
  public static native void clean();

  private native void constructor();
  // public native void constructor(Procs p);

  public Group() {
    // start CPP group constructor, which may do nothing.
    constructor();
  }

  // the Procs is a subclass of Group in Java, not as in CPP.
  /*
  public Group(Procs p) {
    constructor(p);
  }
  */

  public Group(String s) {

  }

  public Object clone() {
    Group group = new Group("test");
    //    System.out.println("not finished!");
    return group;
  };

  public native void finalize();

  public native boolean on();

  public native void no();

  public native int id();

  // for operator "/"
  public native Group divide(Location i);

  // for operator "/="
  public native void restrict(Location i);

  public native void show(String name);

  static {
    init();
  }

}

