/*
 * File         : LocBlocksIndex.java
 * Author       : Guansong Zhang
 * Created      : Tue Jun 16 16:39:43 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1998/10/02 18:55:25 $
 */

package hpjava.lang; 

public class LocBlocksIndex extends Location {

  private static native void init();

  private native void constructor(Range x);

  public LocBlocksIndex(Range x) {
    //super();
    constructor(x);
  }
  
  public LocBlocksIndex() {
    //super();
    //for constructor chain;
  }    

  final public native void beginLocBlk();

  final public native boolean test();

  final public native void nextLocBlk();

  final public native int count();
  final public native int glb_bas();
  final public native int glb_stp();

  public int count;
  public int glb_bas;
  public int glb_stp;

  public int looping;

  static {
    init();
  }

}
