/*
 * File         : BlockRange.java
 * Author       : Guansong Zhang
 * Created      : Tue Jun 16 16:39:43 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1998/10/02 18:55:19 $
 */

package hpjava.lang; 

public class BlockRange extends  Range {
  
  private static native void init();
  public static native void clean();

  public native void constructor(Range ker,int blockSize, int layout);
  public native void constructor(Range ker,int blockSize, int layout,
				 int wlo, int whi);
  public native void constructor(int extent, Range ker, int layout);
  public native void constructor(int extent, Range ker, int layout,
				 int wlo, int whi);

  public BlockRange(Range ker,int blockSize, int layout) {
    //super();
    constructor(ker,blockSize,layout);
  };

  public BlockRange(Range ker,int blockSize, int layout,
		    int wlo, int whi){
    //super();
    constructor(ker,blockSize,layout,wlo,whi);
  };
  
  public BlockRange(Range ker,int blockSize) {
    //super();
    constructor(ker,blockSize,0); // default layout
  };

  public BlockRange(Range ker,int blockSize,
		    int wlo, int whi){
    //super();
    constructor(ker,blockSize,0,wlo,whi); // default layout
  };

  public BlockRange(int extent, Range ker, int layout) {
    //super();
    constructor(extent,ker,layout);
  };
 
  public BlockRange(int extent, Range ker) {
    //super();
    constructor(extent,ker,0); //default layout
  };

  public BlockRange(int extent, Range ker, int layout,
		    int wlo, int whi) {
    //super();
    constructor(extent,ker,layout,wlo,whi);
  };

  public BlockRange(int extent, Range ker,
		    int wlo, int whi) {
    //super();
    constructor(extent,ker,0,wlo,whi); //default layout
  };

  public native void finalize();

};
