package hpjava.lang;

public class Range extends InterfaceObject {

  private static native void init();
  public static native void clean();

  public native void constructor();
  public native void constructor(Range x);
  //  public native void constructor(int extent);
  //  public native void constructor(Dimension dim);
  
  public Range() {
    constructor();
  }
  public Range(Range x) {
    constructor(x);
  }

  /*
  public Range(int extent) {
    constructor(extent);
  }
  public Range(Dimension dim) {
    constructor(dim);
  }
  */

  public native void finalize();

  public native Range subrng(int extent, int base, int stride);

  public Range subrng(int extent, int base) {
    return (this.subrng(extent, base, 1));
  }

  public Range subrng(int extent) {
    return (this.subrng(extent, 0, 1));
  }

  public native Range triplet(int base, int top, int stride);

  public Range triplet(int base, int top) {
    return (this.triplet(base, top, 1));
  }

  public native int size();

  public native Dimension dim();

  public native int lev();
  public native Range ker();

  public native Range tem();
  public native int bas();
  public native int str();

//  Format format();
  public native int format();

  public native int idx(Location i);

  public native int ker_glb(int glb, int[] sub );

  public native void block(int ker_glb, int []sub, int []count);
  public native void block_step(int [] sub_stp);

  public native void crd(int glb);
  public native int local(int []glb);

  public native Range subker(int []ker_bas, int []ker_str);

  public native int width();

  public native int volume();
  public native Stride stride(int size);
  
// operators are not allowed to overload in Java
//  public native Location operator()(int k); 

  public native Location location(int i);

//  public native Range operator=(Range x);
//  public native void operator RangeRep*(); 

  public void over() {
    //should put test here
    this.dim().over();
  };

  public void revo() {
    //should put test here
    this.dim().revo();
  };

  public int crd() {
    //should put test here
    return (this.dim().crd());
  };

  public native void show(String name);

  static {
    init();
  }

}

