package hpjava.lang;

public class Stride extends InterfaceObject {
  
  private static native void init();
  public static native void clean();

  public native void constructor();
  public native void constructor(Stride x);

  public Stride() {
    constructor();
  };
  public Stride(Stride x) {
    constructor(x);
  };

  public native void finalize();

  public native Stride ker();

  final public native int len();

  final public native int disp(int sub);
  final public native int disp_step(int sup_stp);

  final public native int offset(Location i);
  final public native int step(LocBlocksIndex i);

  // for Adlib interface.
  public int size;

  public int offset;
  public int step;
  public int len;

  // to update the above three data.
  final public native void updateLocBlk(LocBlocksIndex i);

  // for debug
  public native void show(String name);


  static {
    init();
  }

}
